# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "rabbfn"
version = "0.1.2"
authors = ["1149520393@qq.com"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A function-first RabbitMQ consumer framework for Rust."
homepage = "https://www.soyue.top"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/xiao-xiang/rabbfn.git"

[lib]
name = "rabbfn"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1"

[dependencies.futures]
version = "0.3"

[dependencies.lapin]
version = "2.3.1"

[dependencies.rabbfn-macros]
version = "0.1.0"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tower]
version = "0.4"
features = ["full"]
